name: On Push Deploy

on:
  push:

jobs:
  deploy:
    runs-on: pusher
    container: 
      volumes: 
        - /root/repos:/root/repos
    steps:
    - name: Install Node.js & npm
      run: |
        apk add --no-cache nodejs npm  # if your job container is Alpine
        node -v
        npm -v
    - name: Pull and pull
    - name: Install dependencies
      run: |
        cd /root/repos/music-jeopardy
        git pull
        npm ci
    - name: ip
      run: |
        ip addr show eth0
    - name: Start Vue dev server
      run: |
        npm run dev -- --host 0.0.0.0 --port 5173
